cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/tasks/scheduled \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.scheduled_tasks.list_scheduled_tasks()
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.scheduledTasks.listScheduledTasks();
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"github.com/flexprice/go-sdk/v2/models/dtos"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.ScheduledTasks.ListScheduledTasks(ctx, dtos.ListScheduledTasksRequest{})
if err != nil {
log.Fatal(err)
}
if res.ListScheduledTasksResponse != nil {
// handle response
}
}{
"items": [
{
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"entity_type": "events",
"environment_id": "<string>",
"id": "<string>",
"interval": "15MIN",
"job_config": {
"bucket": "<string>",
"compression": "none",
"encryption": "AES256",
"endpoint_url": "<string>",
"export_metadata_fields": [
{
"entity_type": "customer",
"field_key": "<string>",
"column_name": "<string>"
}
],
"key_prefix": "<string>",
"provider": "flexprice",
"region": "<string>",
"use_path_style": true
},
"status": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Scheduled Tasks
List scheduled tasks
Use when listing or managing scheduled tasks in an admin UI. Returns a list; supports filtering by status, type, and pagination.
GET
/
tasks
/
scheduled
cURL
curl --request GET \
--url https://us.api.flexprice.io/v1/tasks/scheduled \
--header 'x-api-key: <api-key>'from flexprice import Flexprice
with Flexprice(
api_key_auth="<YOUR_API_KEY_HERE>",
) as f_client:
res = f_client.scheduled_tasks.list_scheduled_tasks()
# Handle response
print(res)import { Flexprice } from "@flexprice/sdk";
const flexprice = new Flexprice({
apiKeyAuth: "<YOUR_API_KEY_HERE>",
});
async function run() {
const result = await flexprice.scheduledTasks.listScheduledTasks();
console.log(result);
}
run();package main
import(
"context"
flexprice "github.com/flexprice/go-sdk/v2"
"github.com/flexprice/go-sdk/v2/models/dtos"
"log"
)
func main() {
ctx := context.Background()
s := flexprice.New(
flexprice.WithSecurity("<YOUR_API_KEY_HERE>"),
)
res, err := s.ScheduledTasks.ListScheduledTasks(ctx, dtos.ListScheduledTasksRequest{})
if err != nil {
log.Fatal(err)
}
if res.ListScheduledTasksResponse != nil {
// handle response
}
}{
"items": [
{
"connection_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"entity_type": "events",
"environment_id": "<string>",
"id": "<string>",
"interval": "15MIN",
"job_config": {
"bucket": "<string>",
"compression": "none",
"encryption": "AES256",
"endpoint_url": "<string>",
"export_metadata_fields": [
{
"entity_type": "customer",
"field_key": "<string>",
"column_name": "<string>"
}
],
"key_prefix": "<string>",
"provider": "flexprice",
"region": "<string>",
"use_path_style": true
},
"status": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
}
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}{
"code": "http_client_error",
"http_status_code": 123,
"message": "<string>"
}Authorizations
Enter your API key in the format x-api-key <api-key>*
Query Parameters
Limit
Offset
Filter by connection ID
Filter by entity type
Filter by interval
Filter by enabled status

